Retrieve author metadata and papers by author slug.
curl --request GET \
--url https://api.scite.ai/authors/{author_slug}/papers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scite.ai/authors/{author_slug}/papers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scite.ai/authors/{author_slug}/papers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"author": {
"id": 123,
"normalizedName": "<string>",
"displayName": "<string>",
"nameSlug": "<string>",
"sourceId": "<string>",
"source": "<string>",
"lastKnownAffiliationId": 123,
"createdAt": "2023-12-25",
"lastUpdated": "2023-12-25",
"affiliations": [
{
"affiliation": "<string>",
"affiliationSlug": "<string>",
"affiliationId": 123,
"count": 123
}
]
},
"papers": [
{
"authors": [
{
"affiliation": "University of Chicago",
"affiliationID": "17898",
"affiliationSlug": "university-of-chicago-6096",
"authorID": "20073081",
"authorName": "K. Luan Phan",
"authorSequenceNumber": 1,
"authorSlug": "k-luan-phan-jz0xRV",
"family": "Phan",
"given": "K. Luan"
},
{
"affiliation": "Wayne State University",
"affiliationID": "11741",
"affiliationSlug": "wayne-state-university-Xje9",
"authorID": "14943755",
"authorName": "Daniel A. Fitzgerald",
"authorSequenceNumber": 2,
"authorSlug": "daniel-a-fitzgerald-e6pg3O",
"family": "Fitzgerald",
"given": "Daniel A."
},
{
"affiliation": "Monash University",
"affiliationID": "6663",
"affiliationSlug": "monash-university-DZee",
"authorID": "15102805",
"authorName": "Pradeep J. Nathan",
"authorSequenceNumber": 3,
"authorSlug": "pradeep-j-nathan-Ax3j3L",
"family": "Nathan",
"given": "Pradeep J."
},
{
"affiliation": "Wayne State University",
"affiliationID": "11741",
"affiliationSlug": "wayne-state-university-Xje9",
"authorID": "3534491",
"authorName": "Manuel Tancer",
"authorSequenceNumber": 4,
"authorSlug": "manuel-tancer-1O4Lj",
"family": "Tancer",
"given": "Manuel"
}
],
"doi": "10.1016/j.biopsych.2005.08.012",
"editorialNotices": [],
"id": 66831114,
"issns": [
"0006-3223"
],
"issue": "5",
"journal": "Biological Psychiatry",
"journalSlug": "5GzJD",
"memberId": 78,
"normalizedTypes": [
"article"
],
"page": "424-429",
"preprintLinks": [],
"publicationLinks": [],
"publisher": "Elsevier BV",
"retracted": false,
"shortJournal": "Biological Psychiatry",
"slug": "association-between-amygdala-hyperactivity-to-gVamGz",
"title": "Association between Amygdala Hyperactivity to Harsh Faces and Severity of Social Anxiety in Generalized Social Phobia",
"type": "journal-article",
"volume": "59",
"year": 2006
}
],
"totalPapers": 0,
"nextPage": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authors
Retrieve author metadata and papers by author slug.
Retrieve author metadata and papers by author slug. Note that these endpoints require an API token for usage.
Author Slug Format
A valid author slug from the Scite database.
Examples of valid author slugs: d-hirsch-gLmJld
Offset & Limit for Paper Pagination
offset: The number of papers to skip before starting to collect the result set. Default is 0.limit: The maximum number of papers to return. A next page URL will be provided if there are more papers available.
GET
/
authors
/
{author_slug}
/
papers
Retrieve author metadata and papers by author slug.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Set to Bearer <token> to pass token for authorization.
Path Parameters
Query Parameters
Number of paper results to return. Maximum is 50
Required range:
1 <= x <= 50⌘I
